Create a team

cURL

curl --request POST \
  --url https://api.cal.com/v2/organizations/{orgId}/teams \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "CalTeam",
  "slug": "caltel",
  "logoUrl": "https://i.cal.com/api/avatar/b0b58752-68ad-4c0d-8024-4fa382a77752.png",
  "calVideoLogo": "<string>",
  "appLogo": "<string>",
  "appIconLogo": "<string>",
  "bio": "<string>",
  "hideBranding": false,
  "isPrivate": true,
  "hideBookATeamMember": true,
  "metadata": {
    "key": "value"
  },
  "theme": "<string>",
  "brandColor": "<string>",
  "darkBrandColor": "<string>",
  "bannerUrl": "https://i.cal.com/api/avatar/949be534-7a88-4185-967c-c020b0c0bef3.png",
  "timeFormat": 123,
  "timeZone": "Europe/London",
  "weekStart": "Sunday",
  "autoAcceptCreator": true
}
'

Response Example

201

{
  "status": "success",
  "data": {
    "id": 123,
    "name": "<string>",
    "isOrganization": true,
    "parentId": 123,
    "slug": "<string>",
    "logoUrl": "<string>",
    "calVideoLogo": "<string>",
    "appLogo": "<string>",
    "appIconLogo": "<string>",
    "bio": "<string>",
    "hideBranding": true,
    "isPrivate": true,
    "hideBookATeamMember": false,
    "metadata": {
      "key": "value"
    },
    "theme": "<string>",
    "brandColor": "<string>",
    "darkBrandColor": "<string>",
    "bannerUrl": "<string>",
    "timeFormat": 123,
    "timeZone": "Europe/London",
    "weekStart": "Sunday"
  }
}

Headers

Authorization

  • Type: string
    For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_.

x-cal-secret-key

  • Type: string
    For platform customers - OAuth client secret key.

x-cal-client-id

  • Type: string
    For platform customers - OAuth client ID.

Path Parameters

  • orgId: number (required)

Body Parameters

name

  • Type: string (required)
    Name of the team (Minimum string length: 1).
    Example:
    "CalTeam"

slug

  • Type: string
    Team slug in kebab-case - if not provided will be generated automatically based on name.
    Example:
    "caltel"

logoUrl

  • Type: string
    URL of the teams logo image.
    Example:
    "https://i.cal.com/api/avatar/b0b58752-68ad-4c0d-8024-4fa382a77752.png"

Other parameters

  • calVideoLogo, appLogo, appIconLogo, bio, hideBranding, isPrivate, hideBookATeamMember, metadata, theme, brandColor, darkBrandColor, bannerUrl, timeFormat, timeZone, weekStart, autoAcceptCreator - string/boolean/number as per the descriptions above.